Description: at the moment we use newer npm to build uideps component
Author: Jérémy Lal <kapouer@melix.org>
Last-Update: 2022-01-12
Forwarded: not-needed
--- a/Makefile
+++ b/Makefile
@@ -409,7 +409,7 @@
 	mkdir -p awx/ui/build/static
 
 awx/ui/node_modules:
-	NODE_OPTIONS=--max-old-space-size=6144 $(NPM_BIN) --prefix awx/ui --loglevel warn --force ci
+	NODE_OPTIONS=--max-old-space-size=6144 $(NPM_BIN) --prefix awx/ui --loglevel warn --legacy-peer-deps --force ci
 
 $(UI_BUILD_FLAG_FILE):
 	$(MAKE) awx/ui/node_modules
